Ticket #10102

Link macro to existing TeraTERM session
Open Date: 2007-03-15 23:56 Last Update: 2016-05-09 00:09

Reporter:
Owner:
(None)
Status:
Open
Component:
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
None
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Details

It would be really great if a macro had a way to link
to an existing TeraTERM window. Perhaps it could be
identified by the process number or window title.
Would this be possible?

An alternative might be to have a COM interface to
ttermpro. You could then command an instance of
ttermpro to open a new macro.

Thanks!

Attachment File List

No attachments

Ticket History (3/5 Histories)

2007-03-16 09:55 Updated by: yutakapon
  • (Category change on Tracker)
Comment
Logged In: YES
user_id=24082

Thank you for your feedback.
Positively, We will examine this feature.

TeraTerm(ttermpro.exe)とマクロ(ttpmacro.exe)がDDE通信するた
めに、トピック名というTeraTermをユニークに識別する文字列が必
要で、マクロ呼び出し時に生成し、/D= でマクロへ渡しています。
Process Explorerを使うと分かります。

 例:TTPMACRO /D=000A0A2A

トピック名はRunMacro()から呼ばれるSetTopic()で生成しており、
実体は、TeraTermのHVTWinハンドルです。
当該ハンドルは共有メモリで管理されており、GetNthWin()で取得
できます。

トピック名が何らかの方法で取得できれば、技術的には、マクロの
実行を複数のTeraTerm上で切り替えることも可能と思われます。
ただし、すでにDDE通信が確立されている場合、そこに割り込める
かどうかは分かりません。



2007-07-27 14:12 Updated by: maya
  • Resolution Update from None to Won't Fix
2009-04-11 03:29 Updated by: doda
  • Component Update from (None) to Tera Term Macro
2016-05-08 23:30 Updated by: yutakapon
  • Status Update from Open to Closed
  • Ticket Close date is changed to 2016-05-08 23:30
2016-05-09 00:09 Updated by: doda
  • Resolution Update from Won't Fix to None
  • Status Update from Closed to Open

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login